Last Comment Bug 759178 - WebGL extension strings should be case-insensitive
: WebGL extension strings should be case-insensitive
Status: RESOLVED FIXED
webgl-conformance
:
Product: Core
Classification: Components
Component: Canvas: WebGL (show other bugs)
: unspecified
: x86_64 Linux
: -- normal (vote)
: mozilla15
Assigned To: Benoit Jacob [:bjacob] (mostly away)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-28 13:15 PDT by Benoit Jacob [:bjacob] (mostly away)
Modified: 2012-06-01 05:01 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
patch (2.05 KB, patch)
2012-05-28 13:15 PDT, Benoit Jacob [:bjacob] (mostly away)
jgilbert: review+
Details | Diff | Review

Description Benoit Jacob [:bjacob] (mostly away) 2012-05-28 13:15:34 PDT
Created attachment 627772 [details] [diff] [review]
patch

Per WebGL spec section 5.14.14.

Test: https://cvs.khronos.org/svn/repos/registry/trunk/public/webgl/sdk/tests/conformance/extensions/get-extension.html
Comment 1 Benoit Jacob [:bjacob] (mostly away) 2012-05-30 05:32:39 PDT
https://hg.mozilla.org/integration/mozilla-inbound/rev/d9e6d8a66f9c
Comment 2 Ed Morley [:emorley] 2012-05-31 06:19:52 PDT
https://hg.mozilla.org/mozilla-central/rev/d9e6d8a66f9c
Comment 3 :Ms2ger 2012-06-01 01:50:13 PDT
Unicode case-insensitive or ASCII case-sensitive? In particular, should you be able to use 'LATIN CAPITAL LETTER I WITH DOT ABOVE' (U+0130) instead of i? Sounds like something you should have a test for... ;)
Comment 4 Benoit Jacob [:bjacob] (mostly away) 2012-06-01 05:01:01 PDT
The spec fails to specify it, but obviously the intent is that extension strings can only use [a-zA-Z0-9_] characters. Will write to the list about that. Yes, a test checking that non-ASCII strings are rejected with INVALID_VALUE could make sense.

Note You need to log in before you can comment on or make changes to this bug.